UPDATE-SMART-DRIVEDB(8)

NAME
update-smart-drivedb - update smartmontools drive database

SYNOPSIS
update-smart-drivedb [OPTIONS] [DESTFILE]

DESCRIPTION
[This man page is generated for the Linux version of smartmontools. It does not contain info specific to other platforms.]

update-smart-drivedb updates /usr/share/smartmontools/drivedb.h or DESTFILE from smartmontools SVN repository. It tries to download first from the current branch and then from trunk. The tools used for downloading are either curl(1), wget(1), lynx(1), or svn(1). The old file is kept if the downloaded file is identical (ignoring the differences in Id string) otherwise it is moved to drivedb.h.old.

OPTIONS

-s SMARTCTL
    Use the smartctl(8) executable at path SMARTCTL for drive database syntax check. The form '-s -' disables the syntax check. The default is /usr/bin/smartctl.

-t TOOL
    Use TOOL for download. TOOL is one of: curl wget lynx svn. The default is the first one found in PATH.

-u LOCATION
    Use URL of LOCATION for download. LOCATION is one of:
    sf (Sourceforge code browser via HTTPS),
    svn (SVN repository via HTTPS),
    svni (SVN repository via HTTP),
    trac (Trac code browser via HTTPS).
    The default is svn.

--cacert FILE
    Use CA certificates from FILE to verify the peer.

--capath DIR
    Use CA certificate files from DIR to verify the peer.

--insecure
    Don't abort download if certificate verification fails. This option is also required if a HTTP URL is selected with '-u' option.

--dryrun
    Print download commands only.

-v  Verbose output.

EXAMPLES
# update-smart-drivedb
/usr/share/smartmontools/drivedb.h updated from branches/RELEASE_6_5_DRIVEDB

EXIT STATUS
The exit status is 0 if the database has been successfully updated. If an error occurs the exit status is 1.

FILES

/usr/bin/update-smart-drivedb
    full path of this script.

/usr/bin/smartctl
    used to check syntax of new drive database.

/usr/share/smartmontools/drivedb.h
    current drive database.

/usr/share/smartmontools/drivedb.h.old
    previous drive database.

/usr/share/smartmontools/drivedb.h.error
    new drive database if rejected due to syntax errors.

/usr/share/smartmontools/drivedb.h.lastcheck
    empty file created if downloaded file was identical.

AUTHORS
Christian Franke.
This manual page was originally written by Hannes von Haugwitz <hannes@vonhaugwitz.com>.

REPORTING BUGS
To submit a bug report, create a ticket in smartmontools wiki:
<http://www.smartmontools.org/>.
Alternatively send the info to the smartmontools support mailing list:
<https://lists.sourceforge.net/lists/listinfo/smartmontools-support>.

SEE ALSO
smartctl(8), smartd(8).

PACKAGE VERSION
smartmontools-6.5 2016-05-07 r4318
$Id: update-smart-drivedb.8.in 4223 2016-02-26 20:18:40Z chrfranke $